Index Page xf2rav_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void xf2rav_c ( ConstSpiceDouble   xform [6][6],
                       SpiceDouble        rot   [3][3],
                       SpiceDouble        av    [3]     )
#### Abstract
       This routine determines the rotation matrix and angular
       velocity of the rotation from a state transformation matrix.
#### Required_Reading
       None.
#### Keywords
       FRAMES
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       xform      I   is a state transformation matrix.
       rot        O   is the rotation associated with xform.
       av         O   is the angular velocity associated with xform.
#### Detailed_Input
       xform       is a state transformation matrix from one frame
                   frame1 to some other frame frame2.
#### Detailed_Output
       rot         is a rotation that gives the transformation from
                   some frame frame1 to another frame frame2.

       av          is the angular velocity of the transformation.
                   In other words, if p is the position of a fixed
                   point in frame2, then from the point of view of
                   frame1,  p rotates (in a right handed sense) about
                   an axis parallel to AV.  Moreover the rate of rotation
                   in radians per unit time is given by the length of
                   av.

                   More formally, the velocity v of p in frame1 is
                   given by
                                      t
                       v  = av x ( rot * p )

                   The components of av are given relative to frame1.
#### Parameters
       None.
#### Exceptions
       Error free.

       1) No checks are performed on xform to ensure that it is indeed
          a state transformation matrix.
#### Files
       None.
#### Particulars
       This routine is essentially a macro routine for converting
       state transformation matrices into the equivalent representation
       in terms of a rotation and angular velocity.

       This routine is an inverse of the routine rav2xf_c.
#### Examples
       Suppose that you wanted to determine the angular velocity
       of the earth with respect to J2000 at a particular epoch et.
       The following code fragment illustrates a procedure for
       computing the angular velocity.

          sxform_c ( "J2000", "IAU_EARTH", et, tsipm ) ;

       Now get the angular velocity by calling xf2rav_c:

          xf2rav_c ( tsipm, tpmi, av );
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman    (JPL)
       W.L. Taber      (JPL)
#### Version
       -CSPICE Version 1.0.1, 12-APR-2007 (EDW)

          Edit to abstract.

       -CSPICE Version 1.0.0, 18-JUN-1999 (WLT) (NJB)
#### Index_Entries
       State transformation to rotation and angular velocity
#### Link to routine xf2rav_c source file xf2rav_c.c

    Wed Jun  9 13:05:33 2010